/* !!! Make response for width 1440,1920, 2560,1920 (check i blisk browser with neew devise set -> desktop) 
for safari need to use .safari-browser */



*,
*::before,
*::after {
    box-sizing: border-box;
}
body {
    max-width: 100%;
    overflow-x: hidden;
    margin: 0;
    padding: 0;
    color: white;
    font-family: "Inter", sans-serif;
}
.safari-browser body {
    margin: 0;
    padding: 0;
    overflow-x: hidden; /* Prevents horizontal scrolling */
    font-family: "Inter", sans-serif;
    color: white;
    max-width: 100vw; /* Ensures body doesn't exceed viewport width */
}
.header-detail {
    background-image: url('foloshkova/1.JPG'); /* Path to your image */
    background-size: cover; /* Cover the entire area of the header */
    background-position: center; /* Center the background image */
    max-width: 100%;/* Make sure the header is full width */
    height: 70vh; /* Adjust the height to be full viewport height */
    margin: 0; /* Optional: remove margin */
    padding: 0; /* Optional: remove padding */
}
.safari-browser .header-detail {
    background-image: url('foloshkova/1.JPG');
    background-size: cover;
    background-position: center;
    height: 70vh;
}
.safari-browser .navbar {
    width: 100%;
    height: 14%;
    padding: 20px calc(5vw); /* Responsive padding based on viewport width */
    background: rgba(0, 0, 0, 0.10);
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 4vw; /* Responsive gap based on viewport width */
    position: relative;
    z-index: 2;
}
.nav-link {
    text-align: center;
}
.nav-link-call {
    display: inline-block;
    height: 15px;
}

.nav-link-call p {
    display: none
}
.safari-browser .nav-link:hover,
.safari-browser .nav-link:focus,
.safari-browser .button:hover,
.safari-browser .nav-link a:hover {
    color: #ffffff; /* Brighter on hover/focus */ 
    text-decoration: underline; /* Optional: add underline on hover/focus */
    transition: color 0.3s ease, background-color 0.3s ease; /* Smooth transition */
}
.call-button {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 35px;
    height: 35px;
    background-color: #184C7E;
    border-radius: 50%;
    transition: transform 0.5s ease, opacity 0.5s ease;
    
    /*transition: width 0.0001s;
    white-space: nowrap;
    overflow: hidden;*/

}
.call-button:hover {
    width: 170px;
    height: auto;
    border-radius: 0;
}
.safari-browser .call-button:hover {
    width: 175px;
}

.call-button:hover a {
    width: 100%;
    height: 100%;
    padding-left: 1.875vw; 
    padding-right: 1.875vw; 
    padding-top: 0.972vw; 
    padding-bottom: 0.972vw;
    text-decoration: none;
}
.call-button:hover a img {
    display: none;
}

.call-button:hover a p {
    display: block;
    text-align: center; 
    margin: 0;
    color: white; 
    font-size: 0.875rem; 
    z-index: 2; 
    font-family: Inter; 
    font-weight: 400; 
    text-decoration: none; 
    letter-spacing: 0.14px; 
    word-wrap: break-word;
}
.language-switch2 {
    display: none;
}
.main-detail {
    max-width: 100%;/* Make sure the header is full width */
    height: 110vh; /* Adjust the height to be full viewport height */
    margin: 0; /* Optional: remove margin */
    padding: 0; /* Optional: remove padding */
    background-color: white;
    display: flex; 
    justify-content: center; 
    flex-direction: column;
    margin: 5% 5%;
}
.safari-browser .main-detail {
    background-color: white;
    height: 110vh;
    margin: 5% 5%;
}
.show-on-mobile,.show-on-mobile-flex {
    display: none !important;
}
.styled-link {
    color: #184C7E;
    font-size: 14px;
    font-family: Inter;
    font-weight: 700;
    letter-spacing: 0.14px;
    background-color: transparent;
    width: 100%;
    height: 100%;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    padding-left: 27px;
    padding-right: 27px;
    padding-top: 14px;
    padding-bottom: 14px;
    border: 1px #184C7E solid;
}
.styled-link:hover {
    background-color: #184C7E; /* Background color on hover */
    color: white; /* Text color on hover */
}
.building-name {
    color: #1B1B1B; 
    font-size: 20px; 
    font-family: Inter; 
    font-weight: 600; 
    text-transform: uppercase; 
    line-height: 28px; 
    letter-spacing: 0.20px; 
    word-wrap: break-word;
}
.ava-picture {
    width: 556px; 
    height: 203.50px; 
    position: relative; 
    align-self: center; 
    margin-top: 15%; 
    margin-right: 15%;
}
.bold-words {
    color: black !important; 
    font-family: Inter; 
    font-size: 14px;
    font-weight: 900; 
    letter-spacing: 0.42px; 
    word-wrap: break-word;
}
.words {
    color: black;
    font-family: Inter; 
    font-size: 14px;
    font-weight: 500; 
    letter-spacing: 0.42px; 
    word-wrap: break-word;
}
.detail-project-description {
    color: black; 
    font-size: 14px; 
    font-family: Inter; 
    font-weight: 400; 
    line-height: 19.60px; 
    letter-spacing: 0.42px; 
    word-wrap: break-word; 
    margin-top: 4%;
}
.mobile-last {
    display: none !important;
    max-width: 100%;/* Make sure the header is full width */
    margin: 0; /* Optional: remove margin */
    padding: 0; /* Optional: remove padding */
    background-color: #1B1B1B;
    position: relative;
}
.last {
    max-width: 100%;/* Make sure the header is full width */
    height: 70vh; /* Adjust the height to be full viewport height */
    margin: 0; /* Optional: remove margin */
    padding: 0; /* Optional: remove padding */
    background-color: #1B1B1B;
    position: relative;
}
.last-logo {
    width: 20%;
}

.last-buttons {
    display: flex;
    padding-top: 7%;
    margin: 0px 10%;
    justify-content: space-between;
    padding-top: 6%;
}
.last-buttons {
    display: flex;
    padding-top: 7%;
    margin: 0px 10%;
    justify-content: space-between;
    padding-top: 6%;
}
.last-nav {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 55%;
}
.general {
    text-align: center;
    font-size: 10px;
    font-weight: 500;
}

.general a {
    text-decoration: none; /* Видалення підкреслення */
    color: #CCCCCC; /* Зміна кольору тексту */
}

.general a:hover {
    text-decoration: underline; /* Додавання підкреслення при наведенні, якщо потрібно */
}
.ava-group {
    width: 18%;
    margin-left: 10%;
}
.ava-group p{
    width: 100%;
    font-size: 10px;
    font-weight: 500;
    margin: 35px 0;
}
.last-socmedia {
    width: 33%;
    background-color: transparent;
    border: none;
    padding: 0;
    cursor: pointer;
}
.last-socmedia img {
    max-width: 100%;
}
.last-contact {
    display: flex; 
    justify-content: flex-end; 
    font-size: 14px;
}
.mentions {
    width: 100%; 
    text-align: center; 
    text-transform: uppercase; 
    color: #CCCCCC; 
    font-size: 10px; 
    font-weight: 500; 
    position: absolute; 
    bottom: 0; 
    margin: 2vh 0
}

@media (min-width: 1440px) {

}
@media (min-width: 1500px) {
    .nav-gap {
        gap: 40px !important;
    }
    .call-button:hover {
        width: 175px;
    }
    .bold-words,.words,.detail-project-description,.styled-link {
        font-size: 16px;
    }
}
@media (min-width: 1650px) {
    .nav-gap {
        gap: 80px !important;
    }
    .call-button:hover {
        width: 190px;
    }
    .call-button:hover a p{
        font-size: 0.875rem;
    }
    .nav-link-call {
        height: 15px;
    }
    .row-img div img{
        width: 465px !important;
        height: 345px !important;
    }
    .building-name {
        font-size: 22px;
    }
}
@media (min-width: 1920px) {
    .navbar{
        padding-left: 4.56% !important;
        padding-right: 4.56% !important;
    }
    .nav-link {
        font-size: 20px !important;
        height: auto;
        height: auto;
    }
    .call-button {
        width: 40px;
        height: 40px;
    }
    .call-button:hover {
        width: 242px;
    }
    .call-button:hover a p{
        font-size: 1.2rem;
    }
    .main-detail {
        height: 100vh;
    }
    .styled-link {
        padding-top: 22px;
        padding-bottom: 22px;
        font-size: 18px;
    }
    .bold-words,.words,.details-link,.detail-project-description {
        font-size: 18px;
    }
    .row-img div img{
        width: 515px !important;
        height: 435px !important;
    }
    .building-name {
        font-size: 24px;
    }
    .ava-picture {
        width: 650px;
        height: 205px
    }
    .general, .ava-group p {
        font-size: 15px;
    }
    .last-contact {
        font-size: 18px;
    }
    .mentions {
        font-size: 12px;
    }
}
@media (min-width: 2560px) {
    .nav-gap {
        gap: 100px !important;
    }
    .nav-link {
        font-size: 22px !important;
    }
    .call-button {
        width: 50px;
        height: 50px;
    }
    .call-button:hover {
        width: 315px;
    }
    .call-button:hover a p {
        font-size: 1.5rem;
    }
    .call-button a img {
        width: 20px;
    }
    .nav-link-call {
        height: 21px;
    }
    .lang {
        gap: 30px !important;
    }
    .row-img div img{
        width: 725px !important;
        height: 655px !important;
    }
    .building-name {
        font-size: 30px;
    }
    .ava-picture {
        width: 1000px;
        height: 350px;
    }
    .bold-words,.words,.detail-project-description,.styled-link {
        font-size: 24px;
    }
    .detail-project-description {
        line-height: 1.5;
    }
    .general, .ava-group p {
        font-size: 18px;
    }
    .last-contact {
        font-size: 24px;
    }
    .mentions {
        font-size: 16px;
    }
}
@media (max-width: 480px) {
    .header-detail {
        background-position: 16% 50% !important;
        height: 45vh;
    }
    .safari-browser .header-detail {
        height: 45vh;
    }
    #hamburger-icon {
        display: flex !important;
        position: absolute !important;
        right: 4% !important;
        width: 30px;
        height: 25px;
    }
    .navbar {
        background: white !important;
        padding-top: 10px !important;
        padding-bottom: 10px !important;
        justify-content: space-between !important;
        height: 23% !important;
    }
    .navbar a img {
        width: 50% !important; /* Adjust based on your design */
    }
    .navbar .call-button {
        display: none; /* Hide the original call button in the navbar */
    }
    .nav-logo {
        width: 100% !important;
        margin-left: 2% !important;
    }
    .desktop-logo {
        display: none !important;  /* Hide desktop logo */
    }
    .mobile-logo {
        display: block !important; /* Show mobile logo */
    }
    .nav-gap {
        display: none !important;
        flex-direction: column;
        background-color: white;
        position: absolute;
        top: 60px; /* Adjust this based on your header size */
        right: 0;
        width: 100%;
    }
    .nav-gap > div > div {
        padding: 5px 10px !important; /* Adjusted padding */
    }

    /* If you also want to adjust the space between these divs themselves */
    .nav-gap > div {
        margin-bottom: 5px !important; /* Reduced bottom margin */
    }
    .nav-gap > div:first-child {
        margin-top: 5% !important; /* Adjust this value as needed */
    }
    .nav-gap > div:last-child {
        margin-bottom: 5% !important; /* Removes extra space after the last item */
    }
    .show-menu {
        display: flex !important; /* Show the menu */
    }
    .nav-link {
        color: #184C7E !important;
    }
    .call-button {
        width: 40px;
        height: 40px;
    }
    .call-button a {
        height: 18px;
    }
    .call-button img {
        height: 18px;
    }
    .call-button:hover {
        width: 40px !important;
        height: 40px;
        border-radius: 50%;
    }
    .call-button:hover a {
        width: auto;
        height: 18px;
        padding: 0;
        text-decoration: none;
    }
    .call-button:hover img {
        display: block !important;
    }
    .call-button p {
        display: none !important;
    }
    .language-switch2 {
        display: block !important;
        margin-left: -250% !important;
    }
    .lang {
        position: static; /* Reset any absolute positioning if present */
        display: flex;
        margin-right: auto; /* Push everything else to the right */
        display: none  !important;
    }
    .main-detail {
        height: auto !important;
        flex-direction: column-reverse;
        margin-bottom: 20%;
    }
    .show-on-mobile {
        display: block !important;
    }
    .show-on-mobile-flex {
        display: flex !important;
    }
    .styled-link {
        font-size: 16px;
    }
    .row-img {
        flex-direction: column;
        margin: 8% 0;
    }
    .row-img img {
        width: 57% !important;
        height: auto !important;
    }
    .anchor-right {
        display: flex;
        justify-content: flex-end;
    }
    .row-text {
        flex-direction: column !important;
        width: 100% !important;
        margin-top: 0 !important;
        margin-right: 0 !important;
        margin-left: 0 !important;
    }
    .row-main-title,.row-main-text {
        width: 100% !important;
    }
    .last {
        display: none;
    }
    .mobile-last {
        display: block !important;
    }
    .row-main-title {
        margin-bottom: 5%;
    }
    .hide-on-mobile {
        display: none !important;
    }
    .show-on-mobile {
        display: block !important;
    }
    .show-on-mobile-flex {
        display: flex !important;
    }
}